Skip to main content
GET
/
api
/
v1
/
ApiRequestLogs
cURL
curl --request GET \
  --url https://vpos.payven.com.tr/api/v1/ApiRequestLogs \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "items": [
      {
        "extraPropertiesDict": {},
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "connectorConfigurationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "connectorCode": "<string>",
        "method": "<string>",
        "endpoint": "<string>",
        "requestHeaders": "<string>",
        "requestBody": "<string>",
        "responseHeaders": "<string>",
        "responseBody": "<string>",
        "statusCode": 123,
        "duration": "<string>",
        "requestTimestamp": "2023-11-07T05:31:56Z",
        "responseTimestamp": "2023-11-07T05:31:56Z",
        "isSuccess": true,
        "errorMessage": "<string>",
        "correlationId": "<string>",
        "errorCategory": "Technical",
        "created": "2023-11-07T05:31:56Z",
        "createdBy": "<string>",
        "lastModified": "2023-11-07T05:31:56Z",
        "lastModifiedBy": "<string>",
        "tenantId": "<string>",
        "isActive": true,
        "isDeleted": true
      }
    ],
    "pageNumber": 123,
    "totalPages": 123,
    "totalCount": 123,
    "hasPreviousPage": true,
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

PageNumber
integer<int32>
PageSize
integer<int32>
TransactionId
string<uuid>
ConnectorConfigurationId
string<uuid>
ConnectorCode
string
Method
string
Endpoint
string
StatusCode
integer<int32>
IsSuccess
boolean
RequestTimestampFrom
string<date-time>
RequestTimestampTo
string<date-time>
CorrelationId
string
SearchTerm
string
ErrorCategories
enum<integer>[]
Available options:
Technical,
BankDeclined,
Validation,
Fraud,
Configuration,
Timeout,
Unknown

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object